function [] = buttonCalculateOffsets(~, ~)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace artoaDataInput;

%% Initialize required variables
soundsources = artoaDataInput.soundsources;
satData = artoaWorkspace.satData;

%% Setup original toa data with applied soundsources
toaData = artoaWorkspace.toaData;
toaData.toa = artoaDataInput.toaData.toa;


%% Calculate offsets

[
    artoaWorkspace.editOffsets.A, ...
    artoaWorkspace.editOffsets.B, ...
    artoaWorkspace.editOffsets.X, ...
    artoaWorkspace.editOffsets.unfilteredA, ...
    artoaWorkspace.editOffsets.unfilteredB ...
] = artoa.offsets.solve( ...
    artoaDataInput.rfb, ...
    soundsources, ...
    artoaWorkspace.trackParameter, ...
    toaData, ...
    satData, ...
    artoa.data.getMember(artoaDataInput, {'ini', 'leapseconds'}), ...
    artoaWorkspace.editOffsets, ...
    artoa.controller.selectSoundspeed() ...
);

%% Store offsets in table
artoa.controller.edit.offsets.saveOptimumToWorkspace();

%% Update GUI
artoa.controller.edit.offsets.updateGui();

%% Recalculate
artoa.controller.edit.recalculateToaGpsAndPlot();


end

