function [] = initialize()
%INITIALIZE Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace artoaGui;

callbacks = artoaWorkspace.defaults.mainCallbacks;

%% Create workspace variables
if ~isfield(artoaWorkspace, 'trackParameter')
    artoaWorkspace.trackParameter = struct();
    
    % setup sound source combinations
    artoaWorkspace.trackParameter.soundsourceCombinations = ...
        artoa.controller.track.parameter.createCombinationsTable(...
            artoa.controller.track.parameter.getDefaultCombinationCell() ...
    );
    artoaGui.trackParameter.tableSoundSourceCombinations.Data = artoa.controller.track.parameter.getDefaultCombinationCell();
    artoaGui.trackParameter.tableSoundSourceCombinations.Data{1, 4} = [ ...
        num2str(artoaWorkspace.float.launchpos(1)) ...
        ' ' ...
        num2str(artoaWorkspace.float.launchpos(2)) ...
    ];
    
    %% Update offsets table in workspace
    artoa.controller.edit.offsets.updateWorkspaceOffsetsTable();
    
    % initialize settings
    availableCallbacks = { ...
        'comboboxTrackingMethod', ...
        'checkboxDopplerCorrection', ...
        'comboboxInterpolationMethod', ...
        'comboboxSoundspeedMethod', ...
        'checkboxPlotResiduals', ...
        'inputOutputInterpolationInterval', ...
        'inputGapSize', ...
        'tableSoundSourceCombinationsEdit' ...
    };

    for i = 1:length(availableCallbacks)
        if isfield(callbacks, availableCallbacks{i})
            % execute the callback to save the state
            callbacks.(availableCallbacks{i})();
        end
    end
end


end

